#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_Asap_Regular_12_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE =
{
    // Unicode: [0x0020, space]
    // (Has no glyph data)
    // Unicode: [0x0025, percent]
    0xA0, 0x7A, 0x00, 0x1A, 0x30, 0x08, 0x0C, 0x74, 0x00, 0x93, 0xC0, 0xB0, 0x00, 0x00, 0xA8, 0x75,
    0x04, 0x00, 0x00, 0x10, 0x3A, 0x9A, 0x00, 0x00, 0x2A, 0x1B, 0x56, 0x00, 0x84, 0xC0, 0x50, 0x06,
    0xA0, 0x00, 0xB5, 0x1B,
    // Unicode: [0x0028, parenleft]
    0x00, 0x10, 0x00, 0x3B, 0x60, 0x08, 0xD0, 0x01, 0xD2, 0x00, 0xB4, 0x00, 0xA5, 0x00, 0xB3, 0x00,
    0xE1, 0x00, 0xB0, 0x03, 0x30, 0x0B, 0x00, 0x47,
    // Unicode: [0x0029, parenright]
    0x02, 0x80, 0x05, 0xD0, 0x01, 0x78, 0x30, 0x0B, 0xD1, 0x00, 0x0E, 0xD1, 0x40, 0x0A, 0x59, 0xC2,
    0xA0, 0x02,
    // Unicode: [0x002C, comma]
    0x52, 0x96, 0x2A,
    // Unicode: [0x002D, hyphen]
    0xC5, 0x2C,
    // Unicode: [0x002E, period]
    0x20, 0xC5,
    // Unicode: [0x002F, slash]
    0x00, 0x00, 0x47, 0x00, 0x00, 0x0B, 0x00, 0x50, 0x06, 0x00, 0xB0, 0x00, 0x00, 0x84, 0x00, 0x00,
    0x1A, 0x00, 0x20, 0x0A, 0x00, 0x90, 0x03, 0x00, 0xA0, 0x00, 0x00,
    // Unicode: [0x0030, zero]
    0x40, 0xDD, 0x09, 0xE0, 0x02, 0x6B, 0xA5, 0x00, 0xC4, 0x87, 0x00, 0xE2, 0x87, 0x00, 0xE1, 0xA5,
    0x00, 0xC4, 0xE0, 0x02, 0x6B, 0x30, 0xDC, 0x08,
    // Unicode: [0x0031, one]
    0x93, 0xCC, 0x00, 0x42, 0xD3, 0x00, 0x00, 0xD2, 0x00, 0x00, 0xD2, 0x00, 0x00, 0xD2, 0x00, 0x00,
    0xD2, 0x00, 0x00, 0xD2, 0x00, 0xD5, 0xFD, 0xAD,
    // Unicode: [0x0032, two]
    0xA0, 0xDD, 0x0A, 0x30, 0x00, 0x89, 0x00, 0x00, 0x78, 0x00, 0x20, 0x1E, 0x00, 0xD1, 0x04, 0x00,
    0x7C, 0x00, 0xA0, 0x09, 0x00, 0xF4, 0xDD, 0x8D,
    // Unicode: [0x0033, three]
    0xC1, 0xDC, 0x09, 0x00, 0x00, 0x4C, 0x00, 0x10, 0x2D, 0x00, 0xFA, 0x09, 0x00, 0x00, 0x6B, 0x00,
    0x00, 0x97, 0x10, 0x00, 0x6B, 0xD3, 0xDD, 0x08,
    // Unicode: [0x0034, four]
    0x00, 0x20, 0x1E, 0x00, 0x00, 0xFC, 0x02, 0x00, 0x6A, 0x2D, 0x00, 0xA6, 0xD0, 0x02, 0xC3, 0x00,
    0x2D, 0xA0, 0xDD, 0xFD, 0x1D, 0x00, 0x00, 0x2D, 0x00, 0x00, 0xD0, 0x01,
    // Unicode: [0x0035, five]
    0xA0, 0xDD, 0x1C, 0xB0, 0x04, 0x00, 0xC0, 0x03, 0x00, 0xB0, 0xCD, 0x07, 0x00, 0x10, 0x7B, 0x00,
    0x00, 0xA6, 0x10, 0x00, 0x7B, 0xD3, 0xDD, 0x09,
    // Unicode: [0x0036, six]
    0x00, 0x90, 0x0A, 0x00, 0x5B, 0x00, 0xA0, 0x05, 0x00, 0xF1, 0xDB, 0x09, 0xB5, 0x00, 0x8A, 0xA5,
    0x00, 0xB4, 0xE2, 0x01, 0x89, 0x60, 0xDD, 0x0A,
    // Unicode: [0x0037, seven]
    0xD3, 0xDD, 0xCE, 0x00, 0x00, 0x7A, 0x00, 0x20, 0x0E, 0x00, 0xA0, 0x07, 0x00, 0xE2, 0x00, 0x00,
    0x7A, 0x00, 0x30, 0x0E, 0x00, 0xA0, 0x07, 0x00,
    // Unicode: [0x0038, eight]
    0x50, 0xDD, 0x0A, 0xF0, 0x01, 0x69, 0xE0, 0x02, 0x6A, 0x60, 0xCF, 0x0C, 0xE1, 0x33, 0x6C, 0xA5,
    0x00, 0xC4, 0xD3, 0x00, 0xA8, 0x70, 0xDD, 0x1B,
    // Unicode: [0x0039, nine]
    0x50, 0xDD, 0x1A, 0xE2, 0x01, 0x89, 0xB4, 0x00, 0xC4, 0xE2, 0x02, 0xB5, 0x50, 0xCC, 0x7D, 0x00,
    0x00, 0x1C, 0x00, 0xB1, 0x04, 0x40, 0x3C, 0x00,
    // Unicode: [0x003A, colon]
    0xC5, 0x21, 0x00, 0x00, 0x20, 0xC5,
    // Unicode: [0x0041, A]
    0x00, 0xF1, 0x06, 0x00, 0x00, 0xC7, 0x0D, 0x00, 0x00, 0x2D, 0x3D, 0x00, 0x30, 0x0C, 0x97, 0x00,
    0x90, 0x06, 0xE2, 0x00, 0xF0, 0xEE, 0xFE, 0x05, 0xA6, 0x00, 0x60, 0x0B, 0x4B, 0x00, 0x00, 0x1E,
    // Unicode: [0x0042, B]
    0xED, 0xDD, 0x08, 0x3D, 0x00, 0x4D, 0x3D, 0x20, 0x2E, 0xED, 0xFD, 0x08, 0x3D, 0x00, 0x6B, 0x3D,
    0x00, 0xA6, 0x3D, 0x00, 0x7B, 0xEC, 0xDD, 0x09,
    // Unicode: [0x0043, C]
    0x00, 0xD8, 0xDD, 0x08, 0xA0, 0x0A, 0x00, 0x02, 0xF1, 0x01, 0x00, 0x00, 0xD3, 0x00, 0x00, 0x00,
    0xD4, 0x00, 0x00, 0x00, 0xF2, 0x00, 0x00, 0x00, 0xB0, 0x0A, 0x00, 0x04, 0x10, 0xE9, 0xEE, 0x09,
    // Unicode: [0x0044, D]
    0xED, 0xDD, 0x2B, 0xD0, 0x03, 0x60, 0x1E, 0x3D, 0x00, 0xB0, 0xD7, 0x03, 0x00, 0x98, 0x3D, 0x00,
    0x80, 0xD9, 0x03, 0x00, 0x7B, 0x3D, 0x00, 0xE6, 0xC1, 0xDE, 0xBE, 0x02,
    // Unicode: [0x0045, E]
    0xED, 0xDD, 0xDC, 0x03, 0x00, 0x3D, 0x00, 0xD0, 0xEE, 0x7E, 0x3D, 0x00, 0xD0, 0x03, 0x00, 0x3D,
    0x00, 0xC0, 0xDE, 0xCD,
    // Unicode: [0x0046, F]
    0xED, 0xDD, 0xD6, 0x03, 0x00, 0x3D, 0x00, 0xD0, 0xEE, 0x3E, 0x3D, 0x00, 0xD0, 0x03, 0x00, 0x3D,
    0x00, 0xC0, 0x03, 0x00,
    // Unicode: [0x0047, G]
    0x00, 0xE8, 0xEE, 0x08, 0xA0, 0x0A, 0x00, 0x03, 0xF1, 0x01, 0x00, 0x00, 0xD4, 0x00, 0x00, 0x00,
    0xD4, 0x00, 0xD7, 0x0E, 0xF1, 0x01, 0x00, 0x1F, 0xA0, 0x0A, 0x00, 0x1F, 0x00, 0xD9, 0xDD, 0x0B,
    // Unicode: [0x0049, I]
    0x3C, 0x3D, 0x3D, 0x3D, 0x3D, 0x3D, 0x3D, 0x3C,
    // Unicode: [0x004A, J]
    0x00, 0xC3, 0x00, 0xD3, 0x00, 0xD3, 0x00, 0xD3, 0x00, 0xD3, 0x00, 0xD3, 0x00, 0xA8, 0xFC, 0x2C,
    // Unicode: [0x004C, L]
    0x3C, 0x00, 0xD0, 0x03, 0x00, 0x3D, 0x00, 0xD0, 0x03, 0x00, 0x3D, 0x00, 0xD0, 0x03, 0x00, 0x3D,
    0x00, 0xC0, 0xDE, 0x9D,
    // Unicode: [0x004D, M]
    0xAE, 0x00, 0x00, 0xF8, 0xE0, 0x4F, 0x00, 0xE2, 0x0F, 0x6E, 0x0D, 0xB0, 0xF7, 0xE0, 0xB2, 0x47,
    0x0D, 0x0F, 0x2E, 0xE2, 0x4D, 0xF0, 0xE0, 0x02, 0x86, 0x00, 0x0F, 0x2E, 0x00, 0x00, 0xF0, 0xE0,
    0x01, 0x00, 0x00, 0x0F,
    // Unicode: [0x004E, N]
    0x7E, 0x00, 0x70, 0xE8, 0x3F, 0x00, 0x88, 0x7E, 0x0D, 0x80, 0xE8, 0xA2, 0x09, 0x88, 0x2E, 0xE0,
    0x84, 0xE8, 0x02, 0xE3, 0x89, 0x2E, 0x00, 0xF8, 0xE8, 0x01, 0x00, 0x8C,
    // Unicode: [0x004F, O]
    0x00, 0xE9, 0xDE, 0x07, 0x00, 0xAA, 0x00, 0xD2, 0x06, 0xF1, 0x01, 0x00, 0xD4, 0x30, 0x0D, 0x00,
    0x00, 0x0F, 0xD3, 0x00, 0x00, 0xF1, 0x10, 0x1F, 0x00, 0x40, 0x0D, 0xA0, 0x0A, 0x20, 0x6D, 0x00,
    0x90, 0xEE, 0x7D, 0x00,
    // Unicode: [0x0053, S]
    0x70, 0xDD, 0x1C, 0xD4, 0x01, 0x02, 0xD5, 0x00, 0x00, 0xA0, 0x8E, 0x01, 0x00, 0x92, 0x2E, 0x00,
    0x00, 0x89, 0x22, 0x00, 0x6C, 0xC4, 0xDE, 0x09,
    // Unicode: [0x0054, T]
    0xD9, 0xFE, 0xDD, 0x04, 0x30, 0x0D, 0x00, 0x00, 0xD3, 0x00, 0x00, 0x30, 0x0D, 0x00, 0x00, 0xD3,
    0x00, 0x00, 0x30, 0x0D, 0x00, 0x00, 0xD3, 0x00, 0x00, 0x30, 0x0C, 0x00,
    // Unicode: [0x0055, U]
    0x0F, 0x00, 0x70, 0xF8, 0x00, 0x00, 0x88, 0x0F, 0x00, 0x80, 0xF8, 0x00, 0x00, 0x88, 0x0F, 0x00,
    0x80, 0xF8, 0x01, 0x00, 0x88, 0x9B, 0x00, 0xE2, 0x14, 0xDA, 0xDD, 0x05,
    // Unicode: [0x0056, V]
    0x79, 0x00, 0x10, 0x0E, 0xD4, 0x00, 0x60, 0x0B, 0xE0, 0x03, 0xC0, 0x05, 0x90, 0x09, 0xE2, 0x00,
    0x30, 0x0E, 0x98, 0x00, 0x00, 0x4D, 0x3D, 0x00, 0x00, 0xD7, 0x0D, 0x00, 0x00, 0xF1, 0x07, 0x00,
    // Unicode: [0x0058, X]
    0xE3, 0x01, 0x90, 0x09, 0x90, 0x0B, 0xD4, 0x00, 0x00, 0x7D, 0x3E, 0x00, 0x00, 0xF3, 0x08, 0x00,
    0x00, 0xE7, 0x0C, 0x00, 0x20, 0x2E, 0x8C, 0x00, 0xD0, 0x05, 0xF2, 0x03, 0xA8, 0x00, 0x60, 0x0D,
    // Unicode: [0x0059, Y]
    0xA8, 0x00, 0xC0, 0x04, 0x5D, 0x80, 0x09, 0x30, 0x6E, 0x0D, 0x00, 0x70, 0x3F, 0x00, 0x00, 0xE3,
    0x00, 0x00, 0x30, 0x0E, 0x00, 0x00, 0xE3, 0x00, 0x00, 0x20, 0x0D, 0x00,
    // Unicode: [0x0061, a]
    0xA0, 0xCC, 0x1B, 0x10, 0x00, 0x87, 0x60, 0xCC, 0x9D, 0xE3, 0x02, 0x96, 0xC5, 0x00, 0x9A, 0xB0,
    0xCC, 0x98,
    // Unicode: [0x0062, b]
    0x0E, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x0F, 0x00, 0x00, 0xAF, 0xDD, 0x03, 0x2F, 0x40, 0x0E, 0x0F,
    0x00, 0x2E, 0x0F, 0x00, 0x1E, 0x4F, 0x40, 0x0D, 0x8C, 0xDC, 0x03,
    // Unicode: [0x0063, c]
    0x50, 0xDC, 0x1D, 0xF1, 0x02, 0x00, 0xC4, 0x00, 0x00, 0xC4, 0x00, 0x00, 0xE1, 0x02, 0x00, 0x50,
    0xCC, 0x4D,
    // Unicode: [0x0064, d]
    0x00, 0x00, 0xB3, 0x00, 0x00, 0xC3, 0x00, 0x00, 0xC3, 0x50, 0xDD, 0xCB, 0xE1, 0x02, 0xC5, 0xB5,
    0x00, 0xC3, 0xB5, 0x00, 0xC3, 0xE1, 0x01, 0xC7, 0x50, 0xCD, 0xC7,
    // Unicode: [0x0065, e]
    0x40, 0xCC, 0x2C, 0xD1, 0x01, 0xB5, 0xF4, 0xDD, 0xCD, 0xD4, 0x00, 0x00, 0xF1, 0x03, 0x20, 0x50,
    0xDD, 0x6D,
    // Unicode: [0x0066, f]
    0x40, 0x8E, 0xA0, 0x05, 0xB0, 0x04, 0xF4, 0x7D, 0xB0, 0x04, 0xB0, 0x04, 0xB0, 0x04, 0xB0, 0x04,
    0xA0, 0x04,
    // Unicode: [0x0067, g]
    0x60, 0xED, 0xEF, 0x13, 0x1F, 0x90, 0x08, 0xF1, 0x01, 0x79, 0x00, 0xF8, 0xAD, 0x00, 0xE0, 0x37,
    0x00, 0x00, 0xAB, 0xDA, 0x09, 0x98, 0x00, 0xF1, 0x30, 0xDC, 0xCC, 0x05,
    // Unicode: [0x0068, h]
    0x1D, 0x00, 0xE0, 0x01, 0x00, 0x1E, 0x00, 0xE0, 0xC9, 0x5E, 0x5E, 0x40, 0xEC, 0x01, 0xD2, 0x1E,
    0x20, 0xED, 0x01, 0xD2, 0x1D, 0x20, 0x0D,
    // Unicode: [0x0069, i]
    0x1E, 0x02, 0x00, 0x1D, 0x1E, 0x1E, 0x1E, 0x1E, 0x1D,
    // Unicode: [0x006A, j]
    0x00, 0x3C, 0x00, 0x01, 0x00, 0x00, 0x00, 0x3B, 0x00, 0x3C, 0x00, 0x3C, 0x00, 0x3C, 0x00, 0x3C,
    0x00, 0x3C, 0x00, 0x3D, 0xD1, 0x0C,
    // Unicode: [0x006B, k]
    0x1D, 0x00, 0xE0, 0x02, 0x00, 0x2E, 0x00, 0xE0, 0x12, 0x4C, 0x4E, 0x4C, 0xE0, 0x7E, 0x00, 0x5E,
    0x2E, 0xE0, 0x72, 0x0C, 0x1D, 0xA0, 0x08,
    // Unicode: [0x006C, l]
    0xE0, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0xF0, 0x00,
    0x90, 0x3D,
    // Unicode: [0x006D, m]
    0xD0, 0xB9, 0x5D, 0xCA, 0x0A, 0xF0, 0x02, 0xC7, 0x00, 0x3D, 0xF0, 0x00, 0xA5, 0x00, 0x4B, 0xF0,
    0x00, 0xA5, 0x00, 0x4B, 0xF0, 0x00, 0xA5, 0x00, 0x4B, 0xE0, 0x00, 0x95, 0x00, 0x4B,
    // Unicode: [0x006E, n]
    0xD0, 0xB9, 0x3D, 0xF0, 0x03, 0xB5, 0xF0, 0x00, 0xC3, 0xF0, 0x00, 0xC3, 0xF0, 0x00, 0xC3, 0xE0,
    0x00, 0xB3,
    // Unicode: [0x006F, o]
    0x40, 0xDC, 0x3C, 0x10, 0x2E, 0x40, 0x0D, 0xC4, 0x00, 0xE0, 0x41, 0x0C, 0x00, 0x1E, 0xE1, 0x02,
    0xD4, 0x00, 0xC4, 0xCD, 0x03,
    // Unicode: [0x0070, p]
    0xD0, 0xB9, 0x3C, 0x00, 0x3F, 0x30, 0x0D, 0xF0, 0x00, 0xE0, 0x02, 0x0F, 0x00, 0x2E, 0xF0, 0x02,
    0xE4, 0x00, 0xAF, 0xDD, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x0E, 0x00, 0x00,
    // Unicode: [0x0071, q]
    0x50, 0xCD, 0xB7, 0xE1, 0x01, 0xC7, 0xB5, 0x00, 0xC3, 0xB5, 0x00, 0xC3, 0xE1, 0x01, 0xC5, 0x50,
    0xCD, 0xCB, 0x00, 0x00, 0xC3, 0x00, 0x00, 0xB3,
    // Unicode: [0x0072, r]
    0xD0, 0xEA, 0x00, 0x4E, 0x00, 0xE0, 0x01, 0x00, 0x1E, 0x00, 0xE0, 0x01, 0x00, 0x1E, 0x00,
    // Unicode: [0x0073, s]
    0xB0, 0xCD, 0x50, 0x0B, 0x00, 0xD2, 0x4A, 0x00, 0x40, 0x4D, 0x01, 0xA0, 0x56, 0xDC, 0x0B,
    // Unicode: [0x0074, t]
    0x40, 0x02, 0xA0, 0x04, 0xF6, 0x6D, 0xB0, 0x04, 0xB0, 0x04, 0xB0, 0x04, 0xB0, 0x05, 0x50, 0x7E,
    // Unicode: [0x0075, u]
    0xD1, 0x00, 0x95, 0xE1, 0x00, 0xA5, 0xE1, 0x00, 0xA5, 0xE1, 0x00, 0xA5, 0xF0, 0x00, 0xA8, 0x70,
    0xBD, 0xB8,
    // Unicode: [0x0076, v]
    0x79, 0x00, 0x78, 0xC4, 0x00, 0x2E, 0xE0, 0x32, 0x0C, 0x90, 0x98, 0x06, 0x40, 0xED, 0x01, 0x00,
    0xBD, 0x00,
    // Unicode: [0x0077, w]
    0x88, 0x10, 0x2F, 0x80, 0x47, 0x0D, 0xF6, 0x06, 0x3D, 0xF0, 0xA1, 0xA8, 0xE1, 0x00, 0x6A, 0x1E,
    0x6E, 0x09, 0x60, 0xBD, 0xC0, 0x5D, 0x00, 0xF1, 0x06, 0xF7, 0x00,
    // Unicode: [0x0078, x]
    0xC6, 0x00, 0x3D, 0xB0, 0xA8, 0x08, 0x10, 0xDE, 0x00, 0x20, 0xEE, 0x01, 0xD0, 0x95, 0x0A, 0x98,
    0x00, 0x5D,
    // Unicode: [0x0079, y]
    0x6A, 0x00, 0x69, 0xD4, 0x00, 0x1E, 0xD0, 0x64, 0x09, 0x60, 0xDA, 0x03, 0x10, 0xCF, 0x00, 0x00,
    0x5C, 0x00, 0x20, 0x0E, 0x00, 0x80, 0x08, 0x00,
    // Unicode: [0x007A, z]
    0xD3, 0xDD, 0x4F, 0x00, 0x80, 0x0B, 0x00, 0xE5, 0x01, 0x20, 0x3E, 0x00, 0xD0, 0x06, 0x00, 0xF7,
    0xDD, 0x4D,
    // Unicode: [0x00E5, aring]
    0x00, 0x86, 0x00, 0x00, 0x47, 0x03, 0x00, 0x63, 0x00, 0xA0, 0xCC, 0x1B, 0x10, 0x00, 0x87, 0x60,
    0xCC, 0x9D, 0xE3, 0x02, 0x96, 0xC5, 0x00, 0x9A, 0xB0, 0xCC, 0x98,
    // Unicode: [0x00E6, ae]
    0xB0, 0xCC, 0xBB, 0xDC, 0x06, 0x10, 0x00, 0x5C, 0x00, 0x1E, 0x60, 0xCB, 0xCF, 0xCC, 0x2D, 0xD4,
    0x01, 0x3E, 0x00, 0x00, 0xB6, 0x10, 0x9D, 0x00, 0x03, 0xB0, 0xDD, 0xB7, 0xDD, 0x0B,
    // Unicode: [0x00EB, edieresis]
    0x00, 0x3E, 0x0B, 0x00, 0x00, 0x00, 0x40, 0xCC, 0x2C, 0xD1, 0x01, 0xB5, 0xF4, 0xDD, 0xCD, 0xD4,
    0x00, 0x00, 0xF1, 0x03, 0x20, 0x50, 0xDD, 0x6D,
    // Unicode: [0x00EF, idieresis]
    0x3B, 0x0E, 0x00, 0xD0, 0x01, 0x1E, 0xE0, 0x01, 0x1E, 0xE0, 0x01, 0x1D,
    // Unicode: [0x00F8, oslash]
    0x50, 0xDC, 0x9C, 0x10, 0x2E, 0x80, 0x0D, 0xC4, 0x50, 0xE4, 0x41, 0x5B, 0x05, 0x1E, 0xE1, 0x07,
    0xE4, 0x10, 0xDA, 0xCD, 0x03,
    // Unicode: [0x2018, quoteleft]
    0xA0, 0x22, 0x0D, 0x52, 0x00,
    // Unicode: [0x2019, quoteright]
    0xE1, 0xB4, 0x14
};
